> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/82.-abfrage-subscription-ereignisse-wiederherstellen.md).

# 82. Abfrage: Subscription-Ereignisse wiederherstellen

Es ist immer eine gute Praxis, die Möglichkeit zu haben, gelieferte vs. erzeugte Subscription-Ereignisse wiederherzustellen/überprüfen zu können. Daher speichert GeoPard die Historie aller erzeugten Subscription-Ereignisse für die **letzten 12 Monate**.&#x20;

Die typischen Anwendungsfälle:&#x20;

* Schlechte Internetverbindung und Ereignisse wurden nicht zugestellt
* Neudeployment des WebSocket-Listeners
* Prüfen Sie die Konsistenz der empfangenen vs. erzeugten Ereignisse

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        Aktion
        nodePath {
          Entität
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Unterstützte Eingabe-Filter:

* `dateFrom` als Datum/Uhrzeit im ISO 8601-Format (z. B.: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` als Datum/Uhrzeit im ISO 8601-Format (z. B.: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` als Array von "Betrieb"-UUIDs zur Suche
* `fieldUuids` als Array von "Feld"-UUIDs zur Suche&#x20;
* `userUuids` als Array von „User“-UUIDs zur Suche
* `eventUuids` als Array von Subscription-"Event"-UUIDs

{% hint style="info" %}
Alle Filter funktionieren wie logische **UND**.
{% endhint %}

{% hint style="info" %}
Jedes Subscription-Ereignis hat ein Attribut `executionDate` verknüpft mit dem Versandzeitpunkt im AWSDateTime-Format, kompatibel mit ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/82.-abfrage-subscription-ereignisse-wiederherstellen.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
